# Mobile Data Plan Sharing API

Partner API for mobile network operators to share users' plan status updates with Google.

- [REST Resource: v1.operators.clients.users.planStatus](https://developers.google.com/mobile-data-plan/v6_1/reference/rest#v1.operators.clients.users.planStatus)
- [REST Resource: v1.operators.planGroups](https://developers.google.com/mobile-data-plan/v6_1/reference/rest#v1.operators.planGroups)
- [REST Resource: v1.operators.planStatuses](https://developers.google.com/mobile-data-plan/v6_1/reference/rest#v1.operators.planStatuses)

## Service: mobiledataplansharing.googleapis.com

We recommend that you call this service using Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to call this service using your own libraries, you should use the following information when making the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mobiledataplansharing.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary) is a base URL that specifies the network address of an API service. One service may have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mobiledataplansharing.googleapis.com`

## REST Resource: [v1.operators.clients.users.planStatus](https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.clients.users.planStatus)

| Methods ||
|---|---|
| `https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.clients.users.planStatus/create` | `POST /v1/{parent=operators/*}/clients/{clientId}/users/{userKey}/planStatus` Allows a mobile operator (identified by its unique Autonomous System Number (ASN)) to add new PlanStatus entry for a user to be used by a particular client. |

## REST Resource: [v1.operators.planGroups](https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.planGroups)

| Methods ||
|---|---|
| `https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.planGroups/create (deprecated)` | `POST /v1/{parent=operators/*}/planGroups` Allows a mobile operator (identified by its unique Autonomous System Number (ASN)) to add a new PlanGroup entry. |

## REST Resource: [v1.operators.planStatuses](https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.planStatuses)

| Methods ||
|---|---|
| `https://developers.google.com/mobile-data-plan/v6_1/reference/rest/v1/operators.planStatuses/create` | `POST /v1/{parent=operators/*}/planStatuses` Allows a mobile operator (identified by its unique Autonomous System Number (ASN)) to add new PlanStatus entry. |